> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clarionhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Eligibility Checks

> Returns all eligibility checks for your organization. You can filter to find eligibility checks associated with a specific patient or status.



## OpenAPI

````yaml GET /eligibility
openapi: 3.0.1
info:
  title: Clarion API
  description: >-
    Clarion's public facing API. For more information, please visit
    https://docs.clarionhealth.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.clarionhealth.com/v1
security:
  - bearerAuth: []
paths:
  /eligibility:
    get:
      description: >-
        Returns all eligibility checks for your organization. You can filter to
        find eligibility checks associated with a specific patient or status.
      parameters:
        - name: customer_patient_id
          in: query
          description: >-
            Filter eligibility checks by the customer-provided patient
            identifier
          required: false
          schema:
            type: string
        - name: status
          in: query
          description: Filter eligibility checks by status
          required: false
          schema:
            type: string
            enum:
              - in-progress
              - completed
              - queued
        - name: limit
          in: query
          description: >-
            Maximum number of results to return. Defaults to 100, maximum is
            1000.
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 1000
            default: 100
      responses:
        '200':
          description: List of eligibility checks
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/EligibilityCheckCompleted'
                    - $ref: '#/components/schemas/EligibilityCheckInProgress'
                    - $ref: '#/components/schemas/EligibilityCheckFailed'
        '400':
          description: Bad request - Invalid payload
          content:
            application/json:
              schema:
                type: array
                maxItems: 0
                example: []
components:
  schemas:
    EligibilityCheckCompleted:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - completed
        outcome:
          type: string
          enum:
            - success
            - not-supported
        coverage:
          $ref: '#/components/schemas/EligibilityCheckCoverage'
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
          example: '1234567890'
      required:
        - id
        - status
        - outcome
        - coverage
    EligibilityCheckInProgress:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - in-progress
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
          example: '1234567890'
      required:
        - id
        - status
    EligibilityCheckFailed:
      type: object
      properties:
        id:
          type: integer
        status:
          type: string
          enum:
            - completed
        outcome:
          type: string
          enum:
            - failure
        error:
          $ref: '#/components/schemas/EligibilityCheckError'
        created_at:
          type: string
          format: date-time
        customer_patient_id:
          type: string
          nullable: true
      required:
        - id
        - status
        - outcome
        - error
    EligibilityCheckCoverage:
      type: object
      properties:
        is_active_today:
          type: boolean
          description: Whether the coverage is active today
        checked_date:
          type: string
          format: date
          pattern: ^\d{4}-\d{2}-\d{2}$
          description: Date when the coverage was checked (YYYY-MM-DD format)
        plan_name:
          type: string
          description: Name of the insurance plan
          example: Freedom Network
        payer_name:
          type: string
          description: Name of the insurance payer
          example: United Healthcare
        group_number:
          type: string
          nullable: true
          description: >-
            Group number of the insurance plan. Note, this may be different than
            what was provided in the request. This is in cases where we find a
            different payer or plan for the individual.
          example: '1234567890'
        member_id:
          type: string
          nullable: true
          description: >-
            Member ID of the insurance plan. Note, this may be different than
            what was provided in the request. This is in cases where we find a
            different payer or plan for the individual.
          example: X12345678
        patient_costs:
          type: array
          items:
            $ref: '#/components/schemas/PatientCost'
          description: >-
            Patient cost information including deductibles and out of pocket
            maximums. Currently only these two cost types are returned from STC
            30 eligibility checks.
      required:
        - is_active_today
        - checked_date
        - plan_name
        - payer_name
        - patient_costs
    EligibilityCheckError:
      type: object
      properties:
        code:
          type: string
          description: Error code identifying the type of error
          example: MEMBER_NOT_FOUND
        message:
          type: string
          description: Human-readable error message
          example: Member ID not found in payer system
      required:
        - code
        - message
    PatientCost:
      type: object
      properties:
        type:
          type: string
          enum:
            - deductible
            - out_of_pocket_max
          description: >-
            Type of patient cost. Currently only deductible and
            out_of_pocket_max are supported for STC 30 responses.
        amount:
          type: string
          description: Dollar amount of the deductible or out of pocket maximum
          example: '1500'
        coverage_level:
          type: string
          nullable: true
          description: 'Coverage level: individual, family, etc.'
          example: individual
        network:
          type: string
          enum:
            - in_network
            - out_of_network
            - both
            - unknown
          description: Network status
        time_period:
          type: string
          nullable: true
          description: >-
            Time period this applies to (e.g., plan_year, remaining,
            service_year)
          example: plan_year
        description:
          type: string
          description: User-friendly description of what this cost represents
          example: $1500 deductible (individual) in-network per plan year
      required:
        - type
        - network
        - description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````